Loading...
Searching...
No Matches
globjects::AttachedTexture Class Reference

Encapsulates texture attachments of a frame buffer object. More...

`#include <globjects/include/globjects/AttachedTexture.h>`

Inheritance diagram for globjects::AttachedTexture:

## Public Member Functions

| AttachedTexture (Framebuffer *fbo, gl::GLenum attachment, Texture *texture, gl::GLint level, gl::GLint layer=-1)
virtual bool | isTextureAttachment () const override
Texture * | texture ()
const Texture * | texture () const
gl::GLint | level () const
bool | hasLayer () const
gl::GLint | layer () const
Public Member Functions inherited from globjects::FramebufferAttachment
| FramebufferAttachment (Framebuffer *fbo, gl::GLenum attachment)
gl::GLenum | attachment () const
gl::GLint | getParameter (gl::GLenum pname) const
virtual bool | isRenderBufferAttachment () const
AttachedTexture * | asTextureAttachment ()
const AttachedTexture * | asTextureAttachment () const
AttachedRenderbuffer * | asRenderBufferAttachment ()
const AttachedRenderbuffer * | asRenderBufferAttachment () const
std::string | attachmentString () const
Public Member Functions inherited from globjects::Referenced
| Referenced ()
void | ref () const
void | unref () const
int | refCounter () const
Public Member Functions inherited from globjects::HeapOnly
| HeapOnly ()
void | destroy () const

## Protected Attributes

ref_ptr< Texture > | m_texture
gl::GLint | m_level
gl::GLint | m_layer
Protected Attributes inherited from globjects::FramebufferAttachment
Framebuffer * | m_fbo
gl::GLenum | m_attachment

## Additional Inherited Members

Protected Member Functions inherited from globjects::Referenced
virtual | ~Referenced ()
Protected Member Functions inherited from globjects::HeapOnly
virtual | ~HeapOnly ()

## Detailed Description

Encapsulates texture attachments of a frame buffer object.

This class is a link between a Texture and the FrameBufferObject it is attached to.

See also
  Texture
  Framebuffer

## Constructor & Destructor Documentation

## AttachedTexture()

globjects::AttachedTexture::AttachedTexture | ( | Framebuffer * | fbo,
|  | gl::GLenum | attachment,
|  | Texture * | texture,
|  | gl::GLint | level,
|  | gl::GLint | layer = `-1`
| ) |  |

## Member Function Documentation

## isTextureAttachment()

virtual bool globjects::AttachedTexture::isTextureAttachment | ( |  | ) | const

override virtual

Reimplemented from globjects::FramebufferAttachment.

## texture() [1/2]

Texture * globjects::AttachedTexture::texture | ( |  | ) |

## texture() [2/2]

const Texture * globjects::AttachedTexture::texture | ( |  | ) | const

## level()

gl::GLint globjects::AttachedTexture::level | ( |  | ) | const

## hasLayer()

bool globjects::AttachedTexture::hasLayer | ( |  | ) | const

## layer()

gl::GLint globjects::AttachedTexture::layer | ( |  | ) | const

## Member Data Documentation

## m_texture

ref_ptr<Texture> globjects::AttachedTexture::m_texture

protected

## m_level

gl::GLint globjects::AttachedTexture::m_level

protected

## m_layer

gl::GLint globjects::AttachedTexture::m_layer

protected

The documentation for this class was generated from the following file:

- AttachedTexture.h